
// (c) by Heinrich Tillack 2002 (http://a128.x15.org)
// based on code by Jimbo
// under GPL or new BSD license

#ifndef _C99_TXR_H
#define _C99_TXR_H


#ifndef uint32
#define uint32 unsigned long
#endif


#include <GL/gl.h>

struct texture {
    uint16 *pixbuf;
    char filename[40];
    uint32 txraddr;
    GLint txr;
    int xsize; //FIXME not used INMO
    int ysize;

};

#define PCX 0
#define JPG 1

void pset(struct texture tex, int x, int y, uint16 col);
uint16 color_fg(int color, int alpha);

void texture_init();

//load jpg texture
void load_texture(char *filename,int pos,int type);
//returns the position of the texture
int auto_load_texture(char *filename,int type);

int  next_tex_id() ;
int find_tex(char *filename) ;

void switch_tex(int pos);
void delete_tex(int pos) ;

#define CLEAR_PIXEL color_fg(255)


#endif
